GET /suno/act/midi/
Method: GETEndpoint: /suno/act/midi/{clip_id}
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
{ "state": "running" }This section contains endpoint-specific behavior, parameters, or usage notes for this API.
{
"state": "complete",
"instruments": [
{
"name": "String Ensembles 1",
"notes": [
{
"pitch": 60,
"start": 1.1041666666666667,
"end": 1.9583333333333333,
"velocity": 0.7165354330708661
},
......
]
},
......
]
}Request Parameters
Path Parameters
text
clip_id
string
RequiredHeader Parameters
text
accept
string
Optional
Example:
*/*
content-type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Example Request
Shell
bash
curl --location --request GET '/suno/act/midi/' \
--header 'accept: */*' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'content-type: application/json'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"state": "complete",
"instruments": [
{
"name": "String Ensembles 1",
"notes": [
{
"pitch": 60,
"start": 1.1041666666666667,
"end": 1.9583333333333333,
"velocity": 0.7165354330708661
},
......
]
},
......
]
}